Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.fo.expr
Class InheritedPropFunction

    java.lang.Object
      org.apache.fop.fo.expr.FunctionBase
          org.apache.fop.fo.expr.InheritedPropFunction

All Implemented Interfaces:
  Function

public class InheritedPropFunction
extends FunctionBase

Class modelling the inherited-property-value Property Value function. See Sec. 5.10.4 of the XSL-FO standard.

Constructor Summary
`InheritedPropFunction()`

Method Summary
`Property` | `eval(Property[] args, PropertyInfo pInfo)` Evaluate the function
`int` | `nbArgs()`
`boolean` | `padArgsWithPropertyName()`

Methods inherited from class org.apache.fop.fo.expr.FunctionBase
`getPercentBase`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InheritedPropFunction

    public InheritedPropFunction()

Method Detail

### nbArgs

    public int nbArgs()

  Returns:
    1 (maximum number of arguments for the inherited-property-value function)

### padArgsWithPropertyName

    public boolean padArgsWithPropertyName()

  Specified by:
    `padArgsWithPropertyName` in interface `Function`
  Overrides:
    `padArgsWithPropertyName` in class `FunctionBase`
  Returns:
    true (allow padding of arglist with property name)

### eval

    public Property eval(Property[] args,
                         PropertyInfo pInfo)
                  throws PropertyException

  Description copied from interface: `Function`
  Evaluate the function

  Parameters:
    `args` - arguments to be evaluated
    `pInfo` - PropertyInfo object to be evaluated
  Returns:
    Property satisfying the inherited-property-value
  Throws:
    `PropertyException` - for invalid parameter

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.